From ada467c3f4038abc3c3ac964a46ec0da0e8ed1c5 Mon Sep 17 00:00:00 2001
From: shrkamat <shrinivas.kamath@gmail.com>
Date: Sat, 11 Dec 2021 17:43:10 +0530
Subject: [PATCH] Fix compile errors with g++ 11.02 (#434)

Co-authored-by: Shrinivas Kamath <skamath@synamedia.com>
---
 source/citnames/source/semantic/Parsers.h | 1 +
 source/libflags/include/libflags/Flags.h  | 1 +
 third_party/grpc/CMakeLists.txt           | 5 +++++
 3 files changed, 7 insertions(+)

diff --git a/source/citnames/source/semantic/Parsers.h b/source/citnames/source/semantic/Parsers.h
index 7a4dc8f4..0ec003ee 100644
--- a/source/citnames/source/semantic/Parsers.h
+++ b/source/citnames/source/semantic/Parsers.h
@@ -27,6 +27,7 @@
 #include <map>
 #include <optional>
 #include <string>
+#include <optional>
 
 #include <fmt/format.h>
 
diff --git a/source/libflags/include/libflags/Flags.h b/source/libflags/include/libflags/Flags.h
index 76f772df..d92fbae2 100644
--- a/source/libflags/include/libflags/Flags.h
+++ b/source/libflags/include/libflags/Flags.h
@@ -28,6 +28,7 @@
 #include <string_view>
 #include <vector>
 #include <iosfwd>
+#include <optional>
 
 namespace flags {
 
diff --git a/third_party/grpc/CMakeLists.txt b/third_party/grpc/CMakeLists.txt
index c8a7114b..792a0c6a 100644
--- a/third_party/grpc/CMakeLists.txt
+++ b/third_party/grpc/CMakeLists.txt
@@ -46,6 +46,11 @@ else ()
                 -DgRPC_BUILD_TESTS:BOOL=OFF
                 -DgRPC_BUILD_CSHARP_EXT:BOOL=OFF
                 -DCMAKE_INSTALL_PREFIX:PATH=${DEPENDENCIES_INSTALL_PREFIX}/grpc_dependency
+                -DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}
+                -DCMAKE_CXX_STANDARD_REQUIRED=${CMAKE_CXX_STANDARD_REQUIRED}
+                -DCMAKE_CXX_EXTENSIONS=${CMAKE_CXX_EXTENSIONS}
+                -DCMAKE_CXX_FLAGS:STRING=${CMAKE_CXX_FLAGS}
+                -DCMAKE_CXX_COMPILER:STRING=${CMAKE_CXX_COMPILER}
             )
 
     include(GNUInstallDirs)
